package com.sptg.estate.biz.service.impl;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.sptg.estate.api.entity.NoticeImg;
import com.sptg.estate.biz.mapper.NoticeImgMapper;
import com.sptg.estate.biz.service.NoticeImgServiceInterface;
import org.springframework.stereotype.Service;

/**
 * title: NoticeImageServiceImpl
 * package: com.sptg.estate.biz.security.impl
 * description: 公告图片-服务层实现
 *
 *                
 *                 
 */
@Service
public class NoticeImgServiceImpl extends ServiceImpl<NoticeImgMapper, NoticeImg> implements NoticeImgServiceInterface {
    @Override
    public boolean deleteNoticeImageByNoticeId(long noticeId) {
        EntityWrapper<NoticeImg> wrapper=new EntityWrapper<NoticeImg>();
        wrapper.eq("l_notice_id",noticeId);
        boolean result=super.delete(wrapper);
        return result;
    }
}
